using e_suite.API.Common;
using e_suite.API.Common.models;
using e_suite.Database.Core.Models;
using e_suite.Database.Core.Tables.CustomFields;
using e_suite.Database.Core.Tables.Domain;
using e_suite.Database.Core.Tables.Forms;
using e_suite.Database.Core.Tables.Glossaries;
using eSuite.Core.Miscellaneous;

namespace e_suite.Modules.FormsManagerUnitTests;

public class FakeCustomFieldHelper : ICustomFieldHelper
{
    public Task<CustomFieldDefinition> TranslateToCustomFieldDefinitionAsync(CustomField customField, CancellationToken cancellationToken)
    {
        throw new NotImplementedException();
    }

    public Task<FormTemplate?> GetFormTemplateByGeneralRefIdAsync(IGeneralIdRef idRef, CancellationToken cancellationToken)
    {
        throw new NotImplementedException();
    }

    public Task<Glossary?> GetGlossaryByGeneralRefIdAsync(IGeneralIdRef idRef, CancellationToken cancellationToken)
    {
        throw new NotImplementedException();
    }

    public Task<List<CustomFieldValues>> CustomFieldValuesList(IEnumerable<ICustomFieldValue> enumerableCustomFieldValues, CancellationToken cancellationToken)
    {
        return Task.FromResult(new List<CustomFieldValues>());
    }

    public Task<Domain?> GetDomainByGeneralRefIdAsync(IGeneralIdRef idRef, CancellationToken cancellationToken)
    {
        throw new NotImplementedException();
    }
}